com.genesyslab.wfm7.API.service.schedule761

## Class SchAgentDayDetails

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchAgentDayDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDayDetails
      extends java.lang.Object
      implements java.io.Serializable

  Request details for `SchAgentDay`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `excludeStates` Specifies what state types (`ESchStateType`) to exclude from returned Agent Day.
    `private int` | `excludeStatesNSizeIs` A number of elements in excludeStates array
    `private boolean` | `provideActivitySetInfo` Tells whether to fill-in schActivitySetInfo field in SchAgentDay
    `private boolean` | `provideOvertime` Tells whether to calculate "wmOvertimeMinutes" field in Schedule Day returned
    `private boolean` | `provideStateInfo` Specifies to provide schedule state descriptive info or not
    `private boolean` | `provideTradeEligibility` Tells whether to check "eligibleForTrade" field in Schedule Day returned
    `private int` | `stateLayout` State layout `ESchStateLayout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDayDetails()`
    `SchAgentDayDetails(int stateLayout, int excludeStatesNSizeIs, int[] excludeStates, boolean provideStateInfo, boolean provideTradeEligibility, boolean provideOvertime, boolean provideActivitySetInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getExcludeStates()` Gets the excludeStates value for this SchAgentDayDetails.
    `int` | `getExcludeStatesNSizeIs()` Gets the excludeStatesNSizeIs value for this SchAgentDayDetails.
    `int` | `getStateLayout()` Gets the stateLayout value for this SchAgentDayDetails.
    `boolean` | `isProvideActivitySetInfo()` Gets the provideActivitySetInfo value for this SchAgentDayDetails.
    `boolean` | `isProvideOvertime()` Gets the provideOvertime value for this SchAgentDayDetails.
    `boolean` | `isProvideStateInfo()` Gets the provideStateInfo value for this SchAgentDayDetails.
    `boolean` | `isProvideTradeEligibility()` Gets the provideTradeEligibility value for this SchAgentDayDetails.
    `void` | `setExcludeStates(int[] excludeStates)` Sets the excludeStates value for this SchAgentDayDetails.
    `void` | `setExcludeStatesNSizeIs(int excludeStatesNSizeIs)` Sets the excludeStatesNSizeIs value for this SchAgentDayDetails.
    `void` | `setProvideActivitySetInfo(boolean provideActivitySetInfo)` Sets the provideActivitySetInfo value for this SchAgentDayDetails.
    `void` | `setProvideOvertime(boolean provideOvertime)` Sets the provideOvertime value for this SchAgentDayDetails.
    `void` | `setProvideStateInfo(boolean provideStateInfo)` Sets the provideStateInfo value for this SchAgentDayDetails.
    `void` | `setProvideTradeEligibility(boolean provideTradeEligibility)` Sets the provideTradeEligibility value for this SchAgentDayDetails.
    `void` | `setStateLayout(int stateLayout)` Sets the stateLayout value for this SchAgentDayDetails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stateLayout

          private int stateLayout

      State layout `ESchStateLayout`

    - #### excludeStatesNSizeIs

          private int excludeStatesNSizeIs

      A number of elements in excludeStates array

    - #### excludeStates

          private int[] excludeStates

      Specifies what state types (`ESchStateType`) to exclude from returned Agent Day. Can be NULL, meaning "don't exclude any state type"

    - #### provideStateInfo

          private boolean provideStateInfo

      Specifies to provide schedule state descriptive info or not

    - #### provideTradeEligibility

          private boolean provideTradeEligibility

      Tells whether to check "eligibleForTrade" field in Schedule Day returned

    - #### provideOvertime

          private boolean provideOvertime

      Tells whether to calculate "wmOvertimeMinutes" field in Schedule Day returned

    - #### provideActivitySetInfo

          private boolean provideActivitySetInfo

      Tells whether to fill-in schActivitySetInfo field in SchAgentDay

  - ### Constructor Detail

    - #### SchAgentDayDetails

          public SchAgentDayDetails()

    - #### SchAgentDayDetails

          public SchAgentDayDetails(int stateLayout,
                            int excludeStatesNSizeIs,
                            int[] excludeStates,
                            boolean provideStateInfo,
                            boolean provideTradeEligibility,
                            boolean provideOvertime,
                            boolean provideActivitySetInfo)

  - ### Method Detail

    - #### getStateLayout

          public int getStateLayout()

      Gets the stateLayout value for this SchAgentDayDetails.
      Returns:
        stateLayout

    - #### setStateLayout

          public void setStateLayout(int stateLayout)

      Sets the stateLayout value for this SchAgentDayDetails.
      Parameters:
        `stateLayout` -

    - #### getExcludeStatesNSizeIs

          public int getExcludeStatesNSizeIs()

      Gets the excludeStatesNSizeIs value for this SchAgentDayDetails.
      Returns:
        excludeStatesNSizeIs

    - #### setExcludeStatesNSizeIs

          public void setExcludeStatesNSizeIs(int excludeStatesNSizeIs)

      Sets the excludeStatesNSizeIs value for this SchAgentDayDetails.
      Parameters:
        `excludeStatesNSizeIs` -

    - #### getExcludeStates

          public int[] getExcludeStates()

      Gets the excludeStates value for this SchAgentDayDetails.
      Returns:
        excludeStates

    - #### setExcludeStates

          public void setExcludeStates(int[] excludeStates)

      Sets the excludeStates value for this SchAgentDayDetails.
      Parameters:
        `excludeStates` -

    - #### isProvideStateInfo

          public boolean isProvideStateInfo()

      Gets the provideStateInfo value for this SchAgentDayDetails.
      Returns:
        provideStateInfo

    - #### setProvideStateInfo

          public void setProvideStateInfo(boolean provideStateInfo)

      Sets the provideStateInfo value for this SchAgentDayDetails.
      Parameters:
        `provideStateInfo` -

    - #### isProvideTradeEligibility

          public boolean isProvideTradeEligibility()

      Gets the provideTradeEligibility value for this SchAgentDayDetails.
      Returns:
        provideTradeEligibility

    - #### setProvideTradeEligibility

          public void setProvideTradeEligibility(boolean provideTradeEligibility)

      Sets the provideTradeEligibility value for this SchAgentDayDetails.
      Parameters:
        `provideTradeEligibility` -

    - #### isProvideOvertime

          public boolean isProvideOvertime()

      Gets the provideOvertime value for this SchAgentDayDetails.
      Returns:
        provideOvertime

    - #### setProvideOvertime

          public void setProvideOvertime(boolean provideOvertime)

      Sets the provideOvertime value for this SchAgentDayDetails.
      Parameters:
        `provideOvertime` -

    - #### isProvideActivitySetInfo

          public boolean isProvideActivitySetInfo()

      Gets the provideActivitySetInfo value for this SchAgentDayDetails.
      Returns:
        provideActivitySetInfo

    - #### setProvideActivitySetInfo

          public void setProvideActivitySetInfo(boolean provideActivitySetInfo)

      Sets the provideActivitySetInfo value for this SchAgentDayDetails.
      Parameters:
        `provideActivitySetInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.